2023-02-03 20:27 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004717AlienBreed3D2[All Projects] Generalpublic2022-04-26 21:37
ReporterHexaae 
Assigned ToPsygoreProject InfoAlien Breed 3D II: The Killing Grounds (Team 17)
http://www.whdload.de/games/AlienBreed3D2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionreopened 
Summary0004717: Trashed mem on very fast (emulated) Amiga (060 AGA JIT enabled for maximum 3D
DescriptionGameVersion: english,pal
SlaveVersion: 1.1 (01.04.2011)

Trashed mem on very fast (emulated) Amiga (060 AGA JIT enabled for maximum 3D speed, RTG Picasso emu WinUAE).
As you can see from this video, the game intro alone trashes some memory and WB RTG background will have corrupt pixels on quit:
https://streamable.com/n13p57
Tested also beta 1.2a slave (probably from EAB) but didn't solve it.
TagsNo tags attached.
MachineUAE
CPU68060
CPUSpeed75
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem256 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.6beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0009331

Psygore (developer)

I tried with winuae mmu enabled, so memory is write-protected, There is no bug report from whdload.

note ~0009346

Hexaae (reporter)

Intro.exe trashes mem after run. If you replace Intro.exe with anything else everything will work fine.

note ~0010914

Hexaae (reporter)

Probably the intro.exe (actually a small demo) does something nasty on some expanded or high-end emulated systems...
I renamed C:Echo as Intro.exe just to make this WHDLoad run without troubles, and it does. No instability or RTG glitch of any kind once I go back to Workbench.

note ~0011201

Hexaae (reporter)

I can confirm that after I run intro.exe from Workbench (with Mem Access fault) the system gets very unstable (= Mem sanity check errors and gurus).
It probably requires a separate stability fix as it's run before the main exe.

As mentioned above with my trick (renaming C:Echo as Intro.exe to "skip" game intro) there are no OS stability issues after WHDLoad quits back to Workbench.

note ~0011221

Psygore (developer)

I still have no problem with the intro under whdload on winuae.

Could you try the attached slave ?

It will run only the intro.exe file, pls tell me if it works better or not.

note ~0011225

Hexaae (reporter)

Seems ok... Will test it for the next couple of days too... I also noticed with this new slave that intro.exe gets just paused when pressing mouse buttons, while the original slave did fully skip it at button press.

note ~0011226

Hexaae (reporter)

P.S.
An additional option to skip intro would be appreciated of course in next slave.
+Notes

-Issue History
Date Modified Username Field Change
2020-06-05 15:03 administrator New Issue
2020-06-05 15:03 administrator Status new => assigned
2020-06-05 15:03 administrator Assigned To => Psygore
2020-12-11 10:32 Psygore Note Added: 0009331
2020-12-15 21:25 Psygore Status assigned => closed
2020-12-15 21:25 Psygore Resolution open => not fixable
2020-12-15 22:28 Hexaae Status closed => feedback
2020-12-15 22:28 Hexaae Resolution not fixable => reopened
2020-12-15 22:28 Hexaae Note Added: 0009346
2022-01-25 21:56 Hexaae Note Added: 0010914
2022-01-25 21:56 Hexaae Status feedback => assigned
2022-04-24 13:54 Hexaae Note Added: 0011201
2022-04-26 18:45 Psygore File Added: Intro_AB3D2.slave
2022-04-26 18:47 Psygore Note Added: 0011221
2022-04-26 21:36 Hexaae Note Added: 0011225
2022-04-26 21:37 Hexaae Note Added: 0011226
+Issue History